## com.baidubce.services.media.model
Class ThumbnailJobStatus

    java.lang.Object
      com.baidubce.services.media.model.ThumbnailJobStatus

    public class ThumbnailJobStatus

extends Object

Constructor Summary
`ThumbnailJobStatus()`

Method Summary
`ThumbnailCapture` `getCapture()`
`String` `getJobId()`
`String` `getJobStatus()`
`String` `getPipelineName()`
`ThumbnailSource` `getSource()`
`ThumbnailTargetStatus` `getTarget()`
`void` `setCapture(ThumbnailCapture capture)`
`void` `setJobId(String jobId)`
`void` `setJobStatus(String jobStatus)`
`void` `setPipelineName(String pipeline)`
`void` `setSource(ThumbnailSource source)`
`void` `setTarget(ThumbnailTargetStatus target)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThumbnailJobStatus

    public ThumbnailJobStatus()

Method Detail

### getJobId

    public String getJobId()

### setJobId

    public void setJobId(String jobId)

### getJobStatus

    public String getJobStatus()

### setJobStatus

    public void setJobStatus(String jobStatus)

### getPipelineName

    public String getPipelineName()

### setPipelineName

    public void setPipelineName(String pipeline)

### getSource

    public ThumbnailSource getSource()

### setSource

    public void setSource(ThumbnailSource source)

### getTarget

    public ThumbnailTargetStatus getTarget()

### setTarget

    public void setTarget(ThumbnailTargetStatus target)

### getCapture

    public ThumbnailCapture getCapture()

### setCapture

    public void setCapture(ThumbnailCapture capture)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.